On 11/29/23 03:36, Shin'ichiro Kawasaki wrote:
The test case loop/009 calls udevadm control command with --ping option.
When systemd version is prior to 241, udevadm control command does not
support the option, and the test case fails. Check availability of the
option to avoid the failure.
Link: https://github.com/osandov/blktests/issues/129
Signed-off-by: Shin'ichiro Kawasaki <shinichiro.kawasaki@xxxxxxx>
---
tests/loop/009 | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/tests/loop/009 b/tests/loop/009
index 2b7a042..5c14758 100755
--- a/tests/loop/009
+++ b/tests/loop/009
@@ -10,6 +10,12 @@ DESCRIPTION="check that LOOP_CONFIGURE sends uevents for partitions"
QUICK=1
+requires() {
+ if ! udevadm control --ping > /dev/null 2>&1; then
+ SKIP_REASONS+=("udevadm control does not support --ping option")
+ fi
+}
+
test() {
echo "Running ${TEST_NAME}"
Hmm ... why "> /dev/null 2>&1" instead of the shorter ">&/dev/null"?
Thanks,
Bart.